Bug 17518 - Buf in userdel/useradd programs.
Summary: Buf in userdel/useradd programs.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-14 20:59 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-14 21:17:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-09-14 20:59:26 UTC
In Redhat from V5.2 up to Beta7.0 I foudn a bug in the userdel script..

Example:

I added a user named user1, adduser added them to /etc/passwd, /etc/shadow
and /etc/groups.  usualy creating and adding them to group named user1..
If this group already exists it will make a duplicate group entry.  When
you try to userdel
this account with the duplicate group entries userdel will hang, using
strace on this showed
it stuck in a loop loggin to /var/log/messages, the message in
/var/log/messages would
repeat deleting group user1..

Basicly userdel needs to be smart enough not to choke if there are 2
entries for a group in the groups file.. and adduser needs to be smart
enough not to add it a second time if it allready exists.

-Steve

Comment 1 Bernhard Rosenkraenzer 2000-10-01 22:43:19 UTC
This is fixed in 7.0 final.


Note You need to log in before you can comment on or make changes to this bug.